import smbus

bus = smbus.SMBus(2)

# enable accelerometer sampling
bus.write_byte_data(0x1c, 0x2a, 0x01)

while True:
    hiddev = open("/dev/hidg0", "wb")
    # read a sample from the accelerometer
    b = bus.read_i2c_block_data(0x1c, 0x01, 6)

    accx = b[0] * 256 + b[1];
    accy = b[2] * 256 + b[3];
    accz = b[4] * 256 + b[5];

    faccx = 255 - int((float(accx) * 127) / 32767)
    faccy = 255 - int((float(accy) * 127) / 32767)
    faccz = int((float(accz) * 127) / 32767)
    
    if faccx < 127:
        faccx = faccx / 10
    else:
        faccx = 255 - ((255 - faccx) / 10)

    if faccy < 127:
        faccy = faccy / 10
    else:
        faccy = 255 - ((255 - faccy) / 10)

    print [0, faccx, faccy, 0]
    mybytes = bytearray([0, faccx, faccy, 0])
    hiddev.write(mybytes)
    hiddev.close()

bus.close()

