import smbus

bus = smbus.SMBus(2)

# enable accelerometer sampling
bus.write_byte_data(0x1c, 0x2a, 0x01)

while True:
    # read a sample from the accelerometer
    b = bus.read_i2c_block_data(0x1c, 0x01, 6)

    accx = b[0] * 256 + b[1];
    accy = b[2] * 256 + b[3];
    accz = b[4] * 256 + b[5];

    if accx > 32767 :
        accx -= 65536
    if accy > 32767 :
        accy -= 65536
    if accz > 32767 :
        accz -= 65536

    faccx = (float(accx) * 2.0) / 32767 
    faccy = (float(accy) * 2.0) / 32767 
    faccz = (float(accz) * 2.0) / 32767 

    print "(%.2fg, %.2fg, %.2fg)" % (faccx,faccy, faccz)

bus.close()

